package com.fdkankan.common.constant;

// 6001-7000 相机状态码
public enum CameraConstant {

    FAILURE_6001(6001,"sn码重复"),
    FAILURE_6002(6002,"退充值超过了充值总额"),
    FAILURE_6003(6003,"该相机未被绑定，请前往 我的相机 先绑定相机后再进行授权 "),
    FAILURE_6004(6004,"表示相机的点数超过了10万"),
    FAILURE_6005(6005,"无权操作该相机"),
    FAILURE_6006(6006,"不支持重复绑定"),
    FAILURE_6007(6007,"八目相机不支持解除绑定"),
    FAILURE_6008(6008,"相机容量不足"),
    FAILURE_6009(6009,"data.fdage文件不存在"),
    FAILURE_6010(6010,"该序列号已被绑定"),
    FAILURE_6011(6011,"查询不到企业相机列表"),
    FAILURE_6012(6012,"相机未绑定用户"),
    FAILURE_6013(6013,"必须输入需迁相机所绑定用户的验证码"),
    FAILURE_6014(6014,"必须输入目标相机所绑定用户的验证码"),
    FAILURE_6015(6015,"该相机已添加协作者，请先取消协作后再添加"),
    FAILURE_6016(6016,"部分相机已添加协作者，请先取消协作后再添加"),
    FAILURE_6017(6017,"设备已出库，不可删除"),
    FAILURE_6018(6018,"设备类型不存在"),
    FAILURE_6019(6019,"sn码未填写"),
    FAILURE_6020(6020,"sn码不存在"),
    FAILURE_6021(6021,"出库类型未填写"),
    FAILURE_6022(6022,"出库类型不存在"),
    FAILURE_6023(6023,"经销商未填写"),
    FAILURE_6024(6024,"经销商类型不存在"),
    FAILURE_6025(6025,"sn码未出库"),
    FAILURE_6026(6026,"客户名称未填写"),
    FAILURE_6027(6027,"客户名称不存在"),
    FAILURE_6028(6028,"相机类型不正确!"),
    ;
    private Integer code;
    private String message;

    private CameraConstant(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return code;
    }

    public String message() {
        return message;
    }
}
